Skip to main content
POST
/
api
/
Grant
/
Query
Query Grants
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Grant/Query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}
'
{
  "list": [
    {
      "id": "<integer>",
      "grantUrl": "<string>",
      "giftsAppliedUrl": "<string>",
      "ownerId": "<integer>",
      "title": "<string>",
      "grantingOrganizationId": "<integer>",
      "grantingOrganizationUrl": "<string>",
      "description": "<string>",
      "referenceId": "<string>",
      "receivingOrganizationId": "<integer>",
      "receivingOrganizationUrl": "<string>",
      "projectUrl": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "dueDateUtc": "<dateTime>",
      "totalAnticipatedAmount": "<double>",
      "status": "<string>",
      "submissionDateUtc": "<dateTime>",
      "anticipatedAwardDateUtc": "<dateTime>",
      "pointOfContactName": "<string>",
      "pointOfContactEmail": "<string>",
      "pointOfContactPhone": "<string>",
      "website": "<string>",
      "awardedGrant": "<boolean>",
      "awardedAmount": "<double>",
      "awardedDateUtc": "<dateTime>",
      "awardTerms": "<string>",
      "grantType": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "grantUrl": "<string>",
      "giftsAppliedUrl": "<string>",
      "ownerId": "<integer>",
      "title": "<string>",
      "grantingOrganizationId": "<integer>",
      "grantingOrganizationUrl": "<string>",
      "description": "<string>",
      "referenceId": "<string>",
      "receivingOrganizationId": "<integer>",
      "receivingOrganizationUrl": "<string>",
      "projectUrl": "<string>",
      "projectId": "<integer>",
      "project": "<string>",
      "dueDateUtc": "<dateTime>",
      "totalAnticipatedAmount": "<double>",
      "status": "<string>",
      "submissionDateUtc": "<dateTime>",
      "anticipatedAwardDateUtc": "<dateTime>",
      "pointOfContactName": "<string>",
      "pointOfContactEmail": "<string>",
      "pointOfContactPhone": "<string>",
      "website": "<string>",
      "awardedGrant": "<boolean>",
      "awardedAmount": "<double>",
      "awardedDateUtc": "<dateTime>",
      "awardTerms": "<string>",
      "grantType": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10. Max is 1000.

Body

application/json
groups
object[]
sortBy
string
descending
string

Response

OK

list
object[]
total
string
Last modified on June 5, 2026